## libspf2 1.2.9

=== debian/changelog ===
libspf2 (1.2.9-7) unstable; urgency=high

  * Add postinst scripts that replace old documentation directories (from
    before 1.2.9-5) in libspf2-dev, libspf2-2-dbg and spfquery with
    symlinks (Closes: #687862, #687863, #687864). Thanks to Salvatore
    Bonaccorso <carnil@debian.org>.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 23 Sep 2012 21:25:43 +0200

libspf2 (1.2.9-6) unstable; urgency=low

  * Rename ipv6-buffer-miscalculation.patch ipv6-bugs.patch. Include
    the following small IPv6-related patches from FreeBSD:
    * patch-src_libspf2_spf__compile.c
    * patch-src_libspf2_spf__interpret.c
    Already included was patch-src_libspf2_spf__expand.c.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 22 Jan 2012 22:45:04 +0100

libspf2 (1.2.9-5) unstable; urgency=low

  * Convert package to source format 3.0 (quilt).
  * Include text of BSD license in debian/copyright, as is now preferred.
  * Switch from CDBS to classic Debhelper, getting build flags from
    dpkg-buildflags "by hand".
  * Increase Debhelper compat level to 7.
  * Put docs in libspf2-2 and replace the other packages' doc directories
    with symlinks to that one.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 11 Nov 2011 22:13:50 +0100

libspf2 (1.2.9-4) unstable; urgency=low

  * Drop obsolete README.Debian-source; move non-obsolete info to
    libspf2-dev.README.Debian.
  * debian/libspf2.ver: Explicitly unhide certain special symbols that
    became hidden on the mips and mipsel architectures but nowhere else,
    causing a FTBFS.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 03 Oct 2009 21:29:19 +0200

libspf2 (1.2.9-3) unstable; urgency=high

  * ipv6_buffer_miscalculation.dpatch: Fix an abort() caused by
    miscalculating the size of an internal buffer when mail is received
    over IPv6. Thanks to Matthias Scheler <tron@netbsd.org>.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 13 Sep 2009 20:23:22 +0200

libspf2 (1.2.9-2) unstable; urgency=low

  * debian/rules: Correct version.
  * 01_private_glib_functions.dpatch: Avoid linking private glibc
    functions.
  * Simplify debian/*.install and exclude the libtool .la file from the
    -dev package. Set DEB_DH_INSTALL_SOURCEDIR accordingly.
  * Add ${misc:Depends} to Depends.
  * Add debug package.
  * Use ld version script to hide internal symbols.
  * Bump Standards-Version to 3.8.3.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 25 Aug 2009 00:15:01 +0200

libspf2 (1.2.9-1) unstable; urgency=high

  * New upstream release.
    - Drops non-dfsg Free IETF internet draft, so tarball no longer needs
      repacking
    + Fixes exploitable buffer overflow (LP: #287534)
    + Multiple fixes for improved RFC 4408 compliance
    + Update libspf2-2.symbols for new symbol
      + 20_spf_dns_include_std_headers.dpatch: Updated.
  * Thanks to Scott Kitterman.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 04 Nov 2008 21:14:31 +0100

libspf2 (1.2.8~dfsg-1) unstable; urgency=low

  * Merge changes from Ubuntu.
  * Fix and tweak library dependency information (shlibs as well as
    symbols).
  * Upgrade to Standards-Version: 3.8.0. Changes needed:
    + Add debian/README.source (§ 4.9).
  * Bring debian/copyright a bit more up-to-date.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 02 Nov 2008 12:29:51 +0100

libspf2 (1.2.8~dfsg-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #283920)
    - Fixes multiple memory leaks
    - CVE2008-2469 buffer overflows
    - Adds new documentation
    - Drop all patches except 20_spf_dns_include_std_headers.dpatch (included
      upstream)
    - Freshen 20_spf_dns_include_std_headers.dpatch
    - Update debian/rules for new release
  * Repack tarball to remove non-DFSG Free IETF draft
  * Added debian/libspf2-2.symbols and updated for new version
  * Drop README.Debian since it no longer applies.

 -- Scott Kitterman <scott@kitterman.com>  Sun, 19 Oct 2008 01:00:13 -0400

libspf2 (1.2.5.dfsg-5) unstable; urgency=low

  * 43_new_explanation_url.dpatch: Bring default explanation up to date by
    referring to www.openspf.org instead of spf.pobox.com.
  * Add spfquery(1) manpage.
  * Fix format of copyright notice in debian/copyright.
  * Move upstream homepage URL to the new Homepage control field, rename
    VCS control fields, and update Standards-Version.
  * A few cosmetic adjustments including fixing the indentation of the
    1.2.5.dfsg-3 entry below (Closes: #465466).
  * New maintainer email address.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 18 Apr 2008 17:51:28 +0200

libspf2 (1.2.5.dfsg-4) unstable; urgency=low

  * Added 23_spfquery_ipv6.dpatch: Make spfquery accept IPv6 addresses
    (Closes: #440147). Thanks to Matthias Cramer.
  * 35_untabify_help.dpatch: Make --help output of utilities less ugly by
    converting tabs to spaces.

 -- Magnus Holmgren <magnus@kibibyte.se>  Wed, 05 Sep 2007 15:39:22 +0200

libspf2 (1.2.5.dfsg-3) unstable; urgency=low

  * 22_spfquery_fallback_segfault.dpatch: Fix fallback-related segfault in
    spfquery (Closes: #430414). Thanks to Robert Millan.
  * Correct debian/copyright (Closes: #433047). Thanks to Julian Mehnle.
  * A second patch from Robert split into three:
    * 40_permanent_include_errors.dpatch: Make permanent errors in
      processing an include: directive cause the parent evaluation to return
      a permanent error as well (Closes: #435139).
    * 41_none_not_neutral.dpatch: Use a diffent explanation for
      SPF_RESULT_NONE than the one for SPF_RESULT_NEUTRAL (Closes: #435140).
    * 42_empty_sender.dpatch: Use the HELO identity in MAIL FROM checks if
      the sender address has been set to the empty string (Closes: #431239).
  * debian/control: Add XS-Vcs-* fields.

 -- Magnus Holmgren <magnus@kibibyte.se>  Wed, 22 Aug 2007 17:13:27 +0200

libspf2 (1.2.5.dfsg-2) unstable; urgency=low

  * 21_spfquery_infininte_loop.dpatch: Fix infinite loop when giving
    unimplemented options to spfquery.

