## libspf2 1.2.10

=== debian/changelog ===
libspf2 (1.2.10-9) unstable; urgency=medium

  * Salvage package (Closes: #1124784)
  * Drop Vcs fields
  * d/rules: Drop get-orig-source target

 -- Bastian Germann <bage@debian.org>  Thu, 29 Jan 2026 13:19:47 +0100

libspf2 (1.2.10-8.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Add perl-xs-dev to Build-Depends (Closes: #1102792)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 17 Jan 2026 10:25:21 +0100

libspf2 (1.2.10-8.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Allow building with Rules-Requires-Root: no. Closes: #1089372

 -- Andreas Metzler <ametzler@debian.org>  Mon, 23 Dec 2024 12:57:23 +0100

libspf2 (1.2.10-8.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Import RC fixes from Ubuntu  (Thanks, Michael Hudson-Doyle!)
    + d/rules: Update LIB_PACKAGE to libspf2-2t64. Closes: #1067204 and
      Closes: #1067664 (FTBFS at dh_installdocs -a --link-doc...)
    + d/patches/fix-include.patch: Include string.h in spf_utils.c to get
      a declaration for memset(). Closes: #1065792, #1066276

 -- Andreas Metzler <ametzler@debian.org>  Mon, 25 Mar 2024 11:38:43 +0100

libspf2 (1.2.10-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062635

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Feb 2024 18:49:46 +0000

libspf2 (1.2.10-8) unstable; urgency=medium

  * spf_compile.c-more-correct-size-of-ds_avail.patch: Fix potential
    integer overflow when checking available space for SPF macro string
    literal. May resolve #1053870.
  * Migrate to automatic dbgsym packages.
  * Bump Debhelper compat level to 12.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 22 Oct 2023 18:33:14 +0200

libspf2 (1.2.10-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * no-libreplace.patch: disable libreplace which is not needed anymore and
    causes build failures with glibc 2.34 (Closes: #1016821).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 11 Aug 2022 23:05:37 +0200

libspf2 (1.2.10-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * spf_compile.c: Correct size of ds_avail (CVE-2021-20314)
  * Sanity check for sprintf
  * Fixed 'reverse' macro modifier

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 08 Aug 2021 13:46:49 +0200

libspf2 (1.2.10-7) unstable; urgency=low

  * error_results.patch: Return information to use in the mail header and
    such when no or multiple SPF records exist (Closes: #806313). Thanks
    to Sebastian Schweizer <sebastian@schweizer.tel>.
  * Bump Standards-Version to 3.9.7.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 25 Mar 2016 17:51:50 +0100

libspf2 (1.2.10-6) unstable; urgency=medium

  * gcc5-variadicmacros.patch: Fix syntax error with variadic macro with
    no variable argument when compiling with GCC 5 (Closes: #777974).
  * Rearrange debian/copyright to comply with the machine-readable format
    specification.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 25 Jun 2015 22:26:05 +0200

libspf2 (1.2.10-5) unstable; urgency=low

  * abolish-spf-rrtype.patch: Stop trying to look up the dedicated SPF DNS
    RR type, which was abolished by RFC 7208 (Closes: #764533).
  * Bump Standards-Version to 3.9.6.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 12 Oct 2014 21:18:33 +0200

libspf2 (1.2.10-4) unstable; urgency=low

  * Upgrade to Debhelper compat level 9, in order to:
  * Handle variable vendorarch installation directory (Closes: #752712),
    by making debian/libmail-spf-xs-perl.install executable.
  * Bump Standards-Version to 3.9.5.
  * debian/rules: Update URL in get-orig-source target (a year late).

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 05 Jul 2014 22:19:51 +0200

libspf2 (1.2.10-3) unstable; urgency=low

  * Merge changes from Ubuntu (Closes: #734224).

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 01 Feb 2014 14:51:57 +0100

libspf2 (1.2.10-2ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Fri, 03 Jan 2014 15:56:24 -0500

libspf2 (1.2.10-2) unstable; urgency=low

  * Convert debian/copyright to machine-readable format and update
    copyright info including details on files in src/libreplace.
  * debian/spfquery.libspf2.1: Change license to 2-clause BSD, as was
    intended from the beginning.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 12 Aug 2013 12:07:40 +0200

libspf2 (1.2.10-1) unstable; urgency=low

  * New upstream release.
  * Drop ipv6-bugs.patch and private-glibc-functions.patch; incorporated
    upstream.
  * Hide additional internal symbols from the dynamic table.
  * Build and include the Perl XS module.
  * Bump Standards-Version to 3.9.4.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 13 Jun 2013 23:58:12 +0200
