=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: libspf2
-Priority: optional
 Section: libs
-Maintainer: Magnus Holmgren <holmgren@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7), autotools-dev
-Standards-Version: 3.8.3
-Vcs-Svn: svn://svn.kibibyte.se/libspf2/trunk
-Vcs-Browser: http://svn.kibibyte.se/libspf2
-Homepage: http://www.libspf2.org/
+Maintainer: Bastian Germann <bage@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
+ perl, perl-xs-dev, libstring-escape-perl
+Standards-Version: 3.9.7
+Homepage: https://www.libspf2.net
 
-Package: libspf2-2
-Section: libs
+Package: libspf2-2t64
+Provides: ${t64:Provides}
+Breaks: libspf2-2 (<< ${source:Version})
 Architecture: any
 Conflicts: libspf2-0
-Replaces: libspf2-0
+Replaces: libspf2-2, libspf2-0
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for validating mail senders with SPF
  libspf2 implements the Sender Policy Framework, a part of the SPF/SRS
@@ -25,7 +24,7 @@
 Package: libspf2-dev
 Section: libdevel
 Architecture: any
-Depends: libspf2-2 (= ${binary:Version}), ${misc:Depends}
+Depends: libspf2-2t64 (= ${binary:Version}), ${misc:Depends}
 Description: Header and development libraries for libspf2
  libspf2 implements the Sender Policy Framework, a part of the SPF/SRS
  protocol pair. libspf2 is a library which allows email systems such
@@ -33,18 +32,8 @@
  records and make sure that the email is authorized by the domain name
  that it is coming from. This prevents email forgery, commonly used by
  spammers, scammers and email viruses/worms.
-
-Package: libspf2-2-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libspf2-2 (= ${binary:Version}) | spfquery (= ${binary:Version}),
-	 ${misc:Depends}
-Description: library for validating mail senders with SPF (debugging symbols)
- libspf2 implements the Sender Policy Framework, a part of the SPF/SRS
- protocol pair.
  .
- This package contains the debugging symbols.
+ This package contains the headers and development libraries.
 
 Package: spfquery
 Section: mail
@@ -61,3 +50,17 @@
  .
  This package contains simple utilities that use libspf2 to test and 
  query SPF records.
+
+Package: libmail-spf-xs-perl
+Section: perl
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libstring-escape-perl
+Description: library for validating mail senders with SPF - Perl bindings
+ libspf2 implements the Sender Policy Framework, a part of the SPF/SRS
+ protocol pair. libspf2 is a library which allows email systems such
+ as Sendmail, Postfix, Exim, Zmailer and MS Exchange to check SPF
+ records and make sure that the email is authorized by the domain name
+ that it is coming from. This prevents email forgery, commonly used by
+ spammers, scammers and email viruses/worms.
+ .
+ This package provides an XS module for using libspf from Perl programs.
