=== debian/watch ===
version=4

opts=dversionmangle=s/\.dfsg$// https://www.libspf2.net/download.html spf/libspf2-(.+)\.tar\.gz
